SET FOREIGN_KEY_CHECKS=0;
ALTER TABLE `student_reincorporation` ADD  INDEX `student_course_subject_career_school_year_period_id` (`student_id`, `course_subject_id`, `career_school_year_period_id`), ADD  INDEX `student_career_school_year_period_id` (`student_id`, `career_school_year_period_id`), ADD  INDEX `student_course` (`student_id`, `course_subject_id`), DROP INDEX student_reincorporation_FI_2;
ALTER TABLE `justification_type` ADD  INDEX `name` (`name`);
ALTER TABLE `absence_type` ADD  INDEX `name` (`name`);
ALTER TABLE `student_free` ADD  INDEX `student_course_subject_career_school_year_period_id` (`student_id`, `course_subject_id`, `career_school_year_period_id`), ADD  INDEX `student_career_school_year_period_id` (`student_id`, `career_school_year_period_id`), ADD  INDEX `student_course_subject_id` (`student_id`, `course_subject_id`), DROP INDEX student_free_FI_1;
ALTER TABLE `city` ADD  INDEX `state` (`state_id`), ADD  INDEX `name` (`name`), DROP INDEX city_FI_1;
ALTER TABLE `state` ADD  INDEX `country` (`country_id`), DROP INDEX state_FI_1;
ALTER TABLE `student_career_subject_allowed` ADD  INDEX `career_subject_student_index` (`student_id`, `career_subject_id`), DROP INDEX student_career_subject_allowed_FI_2;
ALTER TABLE `course` ADD  INDEX `course_division` (`school_year_id`, `division_id`), DROP INDEX course_FI_1;
ALTER TABLE `course_subject_configuration` ADD  INDEX `course_subject_configuration` (`course_subject_id`, `division_id`, `career_school_year_period_id`), DROP INDEX course_subject_configuration_FI_1;
ALTER TABLE `course_preceptor` ADD  INDEX `course_preceptor` (`preceptor_id`, `course_id`);
ALTER TABLE `course_subject` ADD  INDEX `course_subject` (`course_id`, `career_subject_school_year_id`);
ALTER TABLE `course_subject_student` ADD  INDEX `course_subject_student` (`course_subject_id`, `student_id`);
ALTER TABLE `course_subject_teacher` ADD  INDEX `teacher_course_subject` (`teacher_id`, `course_subject_id`);
ALTER TABLE `course_subject_day` ADD  INDEX `course_subject_day` (`course_subject_id`, `day`), DROP INDEX course_subject_day_FI_1;
ALTER TABLE `course_subject_student_mark` ADD  INDEX `course_subject_student` (`course_subject_student_id`), DROP INDEX course_subject_student_mark_FI_1;
ALTER TABLE `student_approved_career_subject` ADD  INDEX `student_approval` (`career_subject_id`, `student_id`, `school_year_id`), ADD  INDEX `student_career_subject_id` (`career_subject_id`, `student_id`);
ALTER TABLE `student_approved_course_subject` ADD  INDEX `student_school_year_course_subject` (`course_subject_id`, `student_id`, `school_year_id`), ADD  INDEX `student_school_year` (`student_id`, `school_year_id`), ADD  INDEX `student_course_subject` (`student_id`, `course_subject_id`), DROP INDEX student_approved_course_subject_FI_2;
ALTER TABLE `examination_subject` ADD  INDEX `examination_career_subject_school_year` (`career_subject_school_year_id`, `examination_id`), DROP INDEX examination_subject_FI_2;
ALTER TABLE `course_subject_student_examination` ADD  INDEX `course_subject_student_subject_examination_number` (`course_subject_student_id`, `examination_subject_id`, `examination_number`), ADD  INDEX `course_subject_student_examination_number` (`course_subject_student_id`, `examination_number`), ADD  INDEX `course_subject_student_id` (`course_subject_student_id`, `examination_subject_id`), DROP INDEX course_subject_student_examination_FI_1;
ALTER TABLE `student_repproved_course_subject` ADD  INDEX `course_subject_student_student_approved` (`course_subject_student_id`, `student_approved_career_subject_id`), DROP INDEX student_repproved_course_subject_FI_1;
ALTER TABLE `final_examination_subject_student` ADD  INDEX `student_final_examination_subject_career_subject` (`student_id`, `final_examination_subject_id`, `career_subject_id`), ADD  INDEX `student_career_subject` (`student_id`, `career_subject_id`), ADD  INDEX `student_final_examination` (`student_id`, `final_examination_subject_id`), DROP INDEX final_examination_subject_student_FI_1;
ALTER TABLE `subject` ADD  INDEX `name` (`name`);
ALTER TABLE `subject_configuration` ADD `necessary_student_approved_career_subject_to_show_prom_def` TINYINT default 1 COMMENT 'Esta configuracion da la posibilidad de mostrar el promedio definitivo teniendo o no el student_approved_career_subject';
ALTER TABLE `career_student` ADD  INDEX `student_career` (`student_id`, `career_id`), ADD  INDEX `student_career_orientation` (`student_id`, `career_id`, `orientation_id`), ADD  INDEX `student_career_orientation_sub_orientation` (`student_id`, `career_id`, `orientation_id`, `sub_orientation_id`), DROP INDEX career_student_FI_2;
ALTER TABLE `student_career_school_year` ADD  INDEX `student_career_school_year` (`student_id`, `career_school_year_id`), DROP INDEX student_career_school_year_FI_2;
ALTER TABLE `career_subject` ADD  INDEX `career_subject` (`subject_id`, `career_id`), ADD  INDEX `career_subject_orientation` (`subject_id`, `career_id`, `orientation_id`), ADD  INDEX `career_subject_orientation_sub_orientation` (`subject_id`, `career_id`, `orientation_id`, `sub_orientation_id`), DROP INDEX career_subject_FI_2;
ALTER TABLE `career_school_year` ADD  INDEX `career_school_year` (`school_year_id`, `career_id`);
ALTER TABLE `career_subject_school_year` ADD  INDEX `career_subject_school_year` (`career_subject_id`, `career_school_year_id`), DROP INDEX career_subject_school_year_FI_2;
ALTER TABLE `school_year_student` ADD  INDEX `student_school_year` (`student_id`, `school_year_id`);
ALTER TABLE `division_preceptor` ADD  INDEX `division_preceptor` (`preceptor_id`, `division_id`);
ALTER TABLE `division_student` ADD  INDEX `division_student` (`division_id`, `student_id`), DROP INDEX division_student_FI_2;
ALTER TABLE `student_advice` ADD  INDEX `student_school_year` (`student_id`, `school_year_id`), DROP INDEX student_advice_FI_1, CHANGE `value` `value` DECIMAL default 0;
ALTER TABLE `career_school_year_period` ADD  INDEX `career_school_year_course_type` (`course_type`, `career_school_year_id`);
